% Simulation of Air Heater System
clear, clc

% Model Parameters
Theta_t = 22;
Kh = 3.5;
Tenv = 21.5;


% Simulation Parameters
Ts = 0.1; % Sampling Time
Tstop = 120; % Seconds
uk = 1; % Step Response

Tout(1) = 20; %Initial Value

% Simulation
for k=1:(Tstop/Ts)
  Tout(k+1) = Tout(k) + (Ts/Theta_t) * (-Tout(k) + Kh*uk + Tenv);
end

% Plot the Simulation Results
t=0:Ts:Tstop;
plot(t,Tout)
xlabel('Time [s]')
ylabel('Tout [Degrees Celsius]')
grid on